import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Clase utilizada para mostrar los datos del juego en modo texto
 */
public class Etiqueta extends Actor{
    private GreenfootImage etiqueta;
    /**
     * @param nombre Recibe el texto que va a mostrar este objeto
     */
    public Etiqueta(String nom){
        etiqueta=new GreenfootImage(100,20);
        etiqueta.drawString(nom,10,10);
        etiqueta.scale(200,50);
        setImage(etiqueta);
    }   
    /**
     *Reescribe el texto que hubiese en el objeto
     *@param dato Texto que va a reemplazar lo que tuviera el objeto
     */
    public void reescribe(String dato){
        etiqueta=new GreenfootImage(100,20);
        etiqueta.drawString(dato,10,10);
        etiqueta.scale(200,50);
        setImage(etiqueta);
    }
}
