import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Gestionadora de la aparicion de una explosion, tanto como de su efecto de crecimiento de la imagen explosion
 */
public class Explosion  extends Imagen{
    private static GreenfootImage []images;
    private int zoom=0, contadorImg=0;
    
    public Explosion(){
        super ("explosion.png");
        images=new GreenfootImage[10];
        for(int step=0;step<10;step++){
            images[step]=new GreenfootImage("explosion.png");
            images[step].scale(75+(step*15),75+(step*15));
        }
        Greenfoot.playSound("explosion.wav");
    }
    public void act() 
    {
        setImage(images[zoom]);
        if(zoom>=9)
            getWorld().removeObject(this);
        contadorImg++;
        if(contadorImg>3){
           zoom++;
           contadorImg=0;
        }
    }    
}