import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Encargada de las acciones correspondientes a las acciones asociadas a los botones
 */
public class Boton extends Actor{
    boolean presionado=false;
    /**
     * @param imagen Recibe la imagen que va a portar el boton
     */
    public Boton(String imagen){
        setImage(imagen);
    }
    public void act() {
        if(Greenfoot.mouseClicked(this))
           presionado=true;
        else if(!Greenfoot.mouseClicked(this))
           presionado=false;
    }
    /**
     * Actualiza el estado del atributo "presionado"
     * @param presionado Nuevo estado del atributo "presionado"
     */
    public void setPresionado(boolean presionado){
        this.presionado=presionado;
    }
    /**
     * Retorna el estado del atributo "presionado"
     * @return Un booleano del estado del atributo "presionado" 
     */
    public boolean getPresionado(){
        return presionado;
    }
}