import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Usada para gestion y control del trafico
 */
public class Trafico extends Carro{
    private int direccion = 0;//usado para mantener la direccion del trafico al chocar
    
    public Trafico() {
        super("car02-n.png",2);
        setRotation(180);
    }
    public void act() 
    {
        mover();
        checaDesviar();//checa si es nesesario desviarse (trafico)
    }
    /**
     * Encargado de mover o reubicar el objeto, a fin de evitar al jugador
     */
    public void checaDesviar(){
        if(choque(Jugador.class)){
           if (getX() <= getCorxJugador())
               direccion = 2;
           else if (getX() > getCorxJugador())
               direccion = 1;
           if (direccion == 1)
               setLocation(getX()+getVelocidad()*2, getY());//this.setLocation()...
           if (direccion == 2)
               setLocation(getX()-getVelocidad()*2, getY());//this.setLocation()...
        }
        else
            direccion = 0;
        if(choque(Trafico.class)&getX()>30 | getX()>390 | getX()<70){
            getWorld().addObject(new Explosion(),getX(),getY());
            setLocation(Greenfoot.getRandomNumber(260)+100,0);
        }  
    }
}